perm5.h File Reference

Internal header for permutations of {0,1,2,3,4}. More...

`#include "maths/perm.h"`
`#include <cstdlib>`
`#include <string>`
`#include "regina-core.h"`

## Classes

class | regina::Perm< 5 >
| Represents a permutation of {0,1,2,3,4}. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef Perm< 5 > | regina::NPerm5
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Internal header for permutations of {0,1,2,3,4}.

This file is automatically included from perm.h; there is no need for end users to include this specialisation header explicitly.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).